%bcond_without check
%bcond_with bootstrap

%global goipath         github.com/uber/jaeger-lib
Version:                2.4.1

%gometa

%global goipaths0       github.com/uber/jaeger-lib
%global goipathsex0     github.com/uber/jaeger-lib/metrics/go-kit github.com/uber/jaeger-lib/client/log/go-kit

%if %{without bootstrap}
%global goipaths1       github.com/uber/jaeger-lib/metrics/go-kit github.com/uber/jaeger-lib/client/log/go-kit
%endif

%global goaltipaths     github.com/jaegertracing/jaeger-lib

%global common_description %{expand:
A collection of shared infrastructure libraries used by different components of
Jaeger backend and jaeger-client-go. This library is not intended to be used
standalone, and provides no guarantees of backwards compatibility.}

%global golicenses      LICENSE
%global godocs          CHANGELOG.md CONTRIBUTING.md README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Collection of shared infrastructure libraries used by Jaeger

License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
Source1:        vendor.tar.gz



%description
%{common_description}

%gopkg

%prep
%goprep
tar -xzf %{SOURCE1}

%install
%gopkginstall

%if %{with check}
%check
%gocheck -t metrics/go-kit -t client/log/go-kit -d metrics/expvar
%endif

%gopkgfiles

%changelog
* Mon Sep 09 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.1-1
- initial build
